Index: /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbdia.F90
===================================================================
--- /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbdia.F90	(revision 3358)
+++ /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbdia.F90	(revision 3359)
@@ -172,186 +172,186 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE icb_budget( lbudge )
+   SUBROUTINE icb_budget( ld_budge )
       ! Arguments
-      LOGICAL                         ::   lbudge
+      LOGICAL, INTENT(in)             ::   ld_budge
       ! Local variables
-      INTEGER                         ::   k
-      REAL(wp)                        ::   unused_calving, tmpsum, grdd_berg_mass, grdd_bits_mass
-
-      IF( .NOT. ln_bergdia ) RETURN
-
-      unused_calving            = SUM( berg_grid%calving(:,:) )
-      tmpsum                    = SUM( berg_grid%floating_melt(:,:) * e1e2t(:,:) * tmask_i(:,:) )
-      net_melt                  = net_melt + tmpsum * berg_dt
-      net_outgoing_calving      = net_outgoing_calving + ( unused_calving + tmpsum ) * berg_dt
-      tmpsum                    = SUM( berg_melt(:,:) * e1e2t(:,:) * tmask_i(:,:) )
-      net_berg_melt             = net_berg_melt + tmpsum * berg_dt
-      tmpsum                    = SUM( bits_src(:,:) * e1e2t(:,:) * tmask_i(:,:) )
-      net_bits_src             = net_bits_src + tmpsum * berg_dt
-      tmpsum                    = SUM( bits_melt(:,:) * e1e2t(:,:) * tmask_i(:,:) )
-      net_bits_melt            = net_bits_melt + tmpsum * berg_dt
-      tmpsum                    = SUM( p_calving(:,:) * tmask_i(:,:) )
-      net_calving_returned      = net_calving_returned+tmpsum * berg_dt
-      tmpsum                    = SUM( berg_grid%calving_hflx(:,:) * e1e2t(:,:) * tmask_i(:,:) )
-      net_outgoing_calving_heat = net_outgoing_calving_heat + tmpsum * berg_dt   ! Units of J
-
-      IF( lbudge ) THEN
+      INTEGER                         ::   ik
+      REAL(wp)                        ::   zunused_calving, ztmpsum, zgrdd_berg_mass, zgrdd_bits_mass
+
+      IF( .NOT. ln_bergdia ) RETURN
+
+      zunused_calving           = SUM( berg_grid%calving(:,:) )
+      ztmpsum                   = SUM( berg_grid%floating_melt(:,:) * e1e2t(:,:) * tmask_i(:,:) )
+      melt_net                  = melt_net + ztmpsum * berg_dt
+      calving_out_net           = calving_out_net + ( zunused_calving + ztmpsum ) * berg_dt
+      ztmpsum                   = SUM( berg_melt(:,:) * e1e2t(:,:) * tmask_i(:,:) )
+      berg_melt_net             = berg_melt_net + ztmpsum * berg_dt
+      ztmpsum                   = SUM( bits_src(:,:) * e1e2t(:,:) * tmask_i(:,:) )
+      bits_src_net              = bits_src_net + ztmpsum * berg_dt
+      ztmpsum                   = SUM( bits_melt(:,:) * e1e2t(:,:) * tmask_i(:,:) )
+      bits_melt_net             = bits_melt_net + ztmpsum * berg_dt
+      ztmpsum                   = SUM( src_calving(:,:) * tmask_i(:,:) )
+      calving_ret_net           = calving_ret_net + ztmpsum * berg_dt
+      ztmpsum                   = SUM( berg_grid%calving_hflx(:,:) * e1e2t(:,:) * tmask_i(:,:) )
+      calving_out_heat_net      = calving_out_heat_net + ztmpsum * berg_dt   ! Units of J
+
+      IF( ld_budge ) THEN
          stored_end             = SUM( berg_grid%stored_ice(:,:,:) )
          stored_heat_end        = SUM( berg_grid%stored_heat(:,:) )
          floating_mass_end      = sum_mass( first_berg )
-         icebergs_mass_end      = sum_mass( first_berg,justbergs=.true. )
-         bits_mass_end         = sum_mass( first_berg,justbits=.true. )
+         bergs_mass_end         = sum_mass( first_berg,justbergs=.true. )
+         bits_mass_end          = sum_mass( first_berg,justbits=.true. )
          floating_heat_end      = sum_heat( first_berg )
 
          nbergs_end             = count_bergs()
-         grdd_berg_mass         = SUM( berg_mass (:,:)*e1e2t(:,:)*tmask_i(:,:) )
-         grdd_bits_mass        = SUM( bits_mass(:,:)*e1e2t(:,:)*tmask_i(:,:) )
+         zgrdd_berg_mass        = SUM( berg_mass (:,:)*e1e2t(:,:)*tmask_i(:,:) )
+         zgrdd_bits_mass        = SUM( bits_mass(:,:)*e1e2t(:,:)*tmask_i(:,:) )
 
          IF( lk_mpp ) THEN
-            zsumbuf( 1) = stored_end
-            zsumbuf( 2) = stored_heat_end
-            zsumbuf( 3) = floating_mass_end
-            zsumbuf( 4) = icebergs_mass_end
-            zsumbuf( 5) = bits_mass_end
-            zsumbuf( 6) = floating_heat_end
-            zsumbuf( 7) = net_calving_returned
-            zsumbuf( 8) = net_outgoing_calving
-            zsumbuf( 9) = net_calving_received
-            zsumbuf(10) = net_incoming_calving
-            zsumbuf(11) = net_incoming_calving_heat
-            zsumbuf(12) = net_incoming_calving_heat_used
-            zsumbuf(13) = net_outgoing_calving_heat
-            zsumbuf(14) = net_calving_used
-            zsumbuf(15) = net_calving_to_bergs
-            zsumbuf(16) = net_heat_to_bergs
-            zsumbuf(17) = net_heat_to_ocean
-            zsumbuf(18) = net_melt
-            zsumbuf(19) = net_berg_melt
-            zsumbuf(20) = net_bits_src
-            zsumbuf(21) = net_bits_melt
-            zsumbuf(22) = grdd_berg_mass
-            zsumbuf(23) = grdd_bits_mass
-
-            CALL mpp_sum( zsumbuf(1:23), 23)
-
-            stored_end                     = zsumbuf( 1)
-            stored_heat_end                = zsumbuf( 2)
-            floating_mass_end              = zsumbuf( 3)
-            icebergs_mass_end              = zsumbuf( 4)
-            bits_mass_end                 = zsumbuf( 5)
-            floating_heat_end              = zsumbuf( 6)
-            net_calving_returned           = zsumbuf( 7)
-            net_outgoing_calving           = zsumbuf( 8)
-            net_calving_received           = zsumbuf( 9)
-            net_incoming_calving           = zsumbuf(10)
-            net_incoming_calving_heat      = zsumbuf(11)
-            net_incoming_calving_heat_used = zsumbuf(12)
-            net_outgoing_calving_heat      = zsumbuf(13)
-            net_calving_used               = zsumbuf(14)
-            net_calving_to_bergs           = zsumbuf(15)
-            net_heat_to_bergs              = zsumbuf(16)
-            net_heat_to_ocean              = zsumbuf(17)
-            net_melt                       = zsumbuf(18)
-            net_berg_melt                  = zsumbuf(19)
-            net_bits_src                  = zsumbuf(20)
-            net_bits_melt                 = zsumbuf(21)
-            grdd_berg_mass                 = zsumbuf(22)
-            grdd_bits_mass                = zsumbuf(23)
-
-            isumbuf(1) = nbergs_end
-            isumbuf(2) = nbergs_calved
-            isumbuf(3) = nbergs_melted
-            isumbuf(4) = nspeeding_tickets
-            DO k = 1,nclasses
-               isumbuf(4+k) = nbergs_calved_by_class(k)
+            rsumbuf( 1) = stored_end
+            rsumbuf( 2) = stored_heat_end
+            rsumbuf( 3) = floating_mass_end
+            rsumbuf( 4) = bergs_mass_end
+            rsumbuf( 5) = bits_mass_end
+            rsumbuf( 6) = floating_heat_end
+            rsumbuf( 7) = calving_ret_net
+            rsumbuf( 8) = calving_out_net
+            rsumbuf( 9) = calving_rcv_net
+            rsumbuf(10) = calving_src_net
+            rsumbuf(11) = calving_src_heat_net
+            rsumbuf(12) = calving_src_heat_used_net
+            rsumbuf(13) = calving_out_heat_net
+            rsumbuf(14) = calving_used_net
+            rsumbuf(15) = calving_to_bergs_net
+            rsumbuf(16) = heat_to_bergs_net
+            rsumbuf(17) = heat_to_ocean_net
+            rsumbuf(18) = melt_net
+            rsumbuf(19) = berg_melt_net
+            rsumbuf(20) = bits_src_net
+            rsumbuf(21) = bits_melt_net
+            rsumbuf(22) = zgrdd_berg_mass
+            rsumbuf(23) = zgrdd_bits_mass
+
+            CALL mpp_sum( rsumbuf(1:23), 23)
+
+            stored_end                = rsumbuf( 1)
+            stored_heat_end           = rsumbuf( 2)
+            floating_mass_end         = rsumbuf( 3)
+            bergs_mass_end            = rsumbuf( 4)
+            bits_mass_end             = rsumbuf( 5)
+            floating_heat_end         = rsumbuf( 6)
+            calving_ret_net           = rsumbuf( 7)
+            calving_out_net           = rsumbuf( 8)
+            calving_rcv_net           = rsumbuf( 9)
+            calving_src_net           = rsumbuf(10)
+            calving_src_heat_net      = rsumbuf(11)
+            calving_src_heat_used_net = rsumbuf(12)
+            calving_out_heat_net      = rsumbuf(13)
+            calving_used_net          = rsumbuf(14)
+            calving_to_bergs_net      = rsumbuf(15)
+            heat_to_bergs_net         = rsumbuf(16)
+            heat_to_ocean_net         = rsumbuf(17)
+            melt_net                  = rsumbuf(18)
+            berg_melt_net             = rsumbuf(19)
+            bits_src_net              = rsumbuf(20)
+            bits_melt_net             = rsumbuf(21)
+            zgrdd_berg_mass           = rsumbuf(22)
+            zgrdd_bits_mass           = rsumbuf(23)
+
+            nsumbuf(1) = nbergs_end
+            nsumbuf(2) = nbergs_calved
+            nsumbuf(3) = nbergs_melted
+            nsumbuf(4) = nspeeding_tickets
+            DO ik = 1,nclasses
+               nsumbuf(4+ik) = nbergs_calved_by_class(ik)
             ENDDO
 
-            CALL mpp_sum( isumbuf(1:nclasses+4), nclasses+4 )
-
-            nbergs_end        = isumbuf(1)
-            nbergs_calved     = isumbuf(2)
-            nbergs_melted     = isumbuf(3)
-            nspeeding_tickets = isumbuf(4)
-            DO k = 1,nclasses
-               nbergs_calved_by_class(k)= isumbuf(4+k)
+            CALL mpp_sum( nsumbuf(1:nclasses+4), nclasses+4 )
+
+            nbergs_end        = nsumbuf(1)
+            nbergs_calved     = nsumbuf(2)
+            nbergs_melted     = nsumbuf(3)
+            nspeeding_tickets = nsumbuf(4)
+            DO ik = 1,nclasses
+               nbergs_calved_by_class(ik)= nsumbuf(4+ik)
             ENDDO
 
          ENDIF
 
-         CALL report_state('stored ice','kg','',stored_start,'',stored_end,'')
-         CALL report_state('floating','kg','',floating_mass_start,'',floating_mass_end,'',nbergs_end)
-         CALL report_state('icebergs','kg','',icebergs_mass_start,'',icebergs_mass_end,'')
-         CALL report_state('bits','kg','',bits_mass_start,'',bits_mass_end,'')
-         CALL report_istate('berg #','',nbergs_start,'',nbergs_end,'')
-         CALL report_ibudget('berg #','calved',nbergs_calved, &
-                                      'melted',nbergs_melted, &
-                                      '#',nbergs_start,nbergs_end)
-         CALL report_budget('stored mass','kg','calving used',net_calving_used, &
-                                               'bergs',net_calving_to_bergs, &
-                                               'stored mass',stored_start,stored_end)
-         CALL report_budget('floating mass','kg','calving used',net_calving_to_bergs, &
-                                                 'bergs',net_melt, &
-                                                 'stored mass',floating_mass_start,floating_mass_end)
-         CALL report_budget('berg mass','kg','calving',net_calving_to_bergs, &
-                                             'melt+eros',net_berg_melt, &
-                                             'berg mass',icebergs_mass_start,icebergs_mass_end)
-         CALL report_budget('bits mass','kg','eros used',net_bits_src, &
-                                             'bergs',net_bits_melt, &
-                                             'stored mass',bits_mass_start,bits_mass_end)
-         CALL report_budget('net mass','kg','recvd',net_calving_received, &
-                                            'rtrnd',net_calving_returned, &
-                                            'net mass',stored_start+floating_mass_start, &
-                                                       stored_end+floating_mass_end)
-         CALL report_consistant('iceberg mass','kg','gridded',grdd_berg_mass,'bergs',icebergs_mass_end)
-         CALL report_consistant('bits mass','kg','gridded',grdd_bits_mass,'bits',bits_mass_end)
-         CALL report_state('net heat','J','',stored_heat_start+floating_heat_start,'', &
-                                             stored_heat_end+floating_heat_end,'')
-         CALL report_state('stored heat','J','',stored_heat_start,'',stored_heat_end,'')
-         CALL report_state('floating heat','J','',floating_heat_start,'',floating_heat_end,'')
-         CALL report_budget('net heat','J','net heat',net_incoming_calving_heat, &
-                                           'net heat',net_outgoing_calving_heat, &
-                                           'net heat',stored_heat_start+floating_heat_start, &
-                                                      stored_heat_end+floating_heat_end)
-         CALL report_budget('stored heat','J','calving used',net_incoming_calving_heat_used, &
-                                              'bergs',net_heat_to_bergs, &
-                                              'net heat',stored_heat_start,stored_heat_end)
-         CALL report_budget('flting heat','J','calved',net_heat_to_bergs, &
-                                              'melt',net_heat_to_ocean, &
-                                              'net heat',floating_heat_start,floating_heat_end)
+         CALL report_state( 'stored ice','kg','',stored_start,'',stored_end,'')
+         CALL report_state( 'floating','kg','',floating_mass_start,'',floating_mass_end,'',nbergs_end)
+         CALL report_state( 'icebergs','kg','',bergs_mass_start,'',bergs_mass_end,'')
+         CALL report_state( 'bits','kg','',bits_mass_start,'',bits_mass_end,'')
+         CALL report_istate( 'berg #','',nbergs_start,'',nbergs_end,'')
+         CALL report_ibudget( 'berg #','calved',nbergs_calved, &
+                                       'melted',nbergs_melted, &
+                                       '#',nbergs_start,nbergs_end)
+         CALL report_budget( 'stored mass','kg','calving used',calving_used_net, &
+                                           'bergs',calving_to_bergs_net, &
+                                           'stored mass',stored_start,stored_end)
+         CALL report_budget( 'floating mass','kg','calving used',calving_to_bergs_net, &
+                                             'bergs',melt_net, &
+                                             'stored mass',floating_mass_start,floating_mass_end)
+         CALL report_budget( 'berg mass','kg','calving',calving_to_bergs_net, &
+                                              'melt+eros',berg_melt_net, &
+                                              'berg mass',bergs_mass_start,bergs_mass_end)
+         CALL report_budget( 'bits mass','kg','eros used',bits_src_net, &
+                                              'bergs',bits_melt_net, &
+                                              'stored mass',bits_mass_start,bits_mass_end)
+         CALL report_budget( 'net mass','kg','recvd',calving_rcv_net, &
+                                             'rtrnd',calving_ret_net, &
+                                             'net mass',stored_start+floating_mass_start, &
+                                                        stored_end+floating_mass_end)
+         CALL report_consistant( 'iceberg mass','kg','gridded',zgrdd_berg_mass,'bergs',bergs_mass_end)
+         CALL report_consistant( 'bits mass','kg','gridded',zgrdd_bits_mass,'bits',bits_mass_end)
+         CALL report_state( 'net heat','J','',stored_heat_start+floating_heat_start,'', &
+                                              stored_heat_end+floating_heat_end,'')
+         CALL report_state( 'stored heat','J','',stored_heat_start,'',stored_heat_end,'')
+         CALL report_state( 'floating heat','J','',floating_heat_start,'',floating_heat_end,'')
+         CALL report_budget( 'net heat','J','net heat',calving_src_heat_net, &
+                                            'net heat',calving_out_heat_net, &
+                                            'net heat',stored_heat_start+floating_heat_start, &
+                                                       stored_heat_end+floating_heat_end)
+         CALL report_budget( 'stored heat','J','calving used',calving_src_heat_used_net, &
+                                               'bergs',heat_to_bergs_net, &
+                                               'net heat',stored_heat_start,stored_heat_end)
+         CALL report_budget( 'flting heat','J','calved',heat_to_bergs_net, &
+                                               'melt',heat_to_ocean_net, &
+                                               'net heat',floating_heat_start,floating_heat_end)
          IF (nn_verbose_level >= 1) THEN
-            CALL report_consistant('top interface','kg','from SIS',net_incoming_calving, &
-                                   'received',net_calving_received)
-            CALL report_consistant('bot interface','kg','sent',net_outgoing_calving, &
-                                   'returned',net_calving_returned)
+            CALL report_consistant( 'top interface','kg','from SIS',calving_src_net, &
+                                    'received',calving_rcv_net)
+            CALL report_consistant( 'bot interface','kg','sent',calving_out_net, &
+                                    'returned',calving_ret_net)
          ENDIF
-         WRITE(numicb,'("calved by class = ",i6,20(",",i6))') (nbergs_calved_by_class(k),k=1,nclasses)
-         IF ( nspeeding_tickets .GT. 0 ) WRITE(numicb,'("speeding tickets issued = ",i6)') nspeeding_tickets
-
-         nbergs_start                   = nbergs_end
-         stored_start                   = stored_end
-         nbergs_melted                  = 0
-         nbergs_calved                  = 0
-         nbergs_calved_by_class(:)      = 0
-         nspeeding_tickets              = 0
-         stored_heat_start              = stored_heat_end
-         floating_heat_start            = floating_heat_end
-         floating_mass_start            = floating_mass_end
-         icebergs_mass_start            = icebergs_mass_end
-         bits_mass_start               = bits_mass_end
-         net_calving_used               = 0._wp
-         net_calving_to_bergs           = 0._wp
-         net_heat_to_bergs              = 0._wp
-         net_heat_to_ocean              = 0._wp
-         net_calving_received           = 0._wp
-         net_calving_returned           = 0._wp
-         net_incoming_calving           = 0._wp
-         net_outgoing_calving           = 0._wp
-         net_incoming_calving_heat      = 0._wp
-         net_incoming_calving_heat_used = 0._wp
-         net_outgoing_calving_heat      = 0._wp
-         net_melt                       = 0._wp
-         net_berg_melt                  = 0._wp
-         net_bits_melt                 = 0._wp
-         net_bits_src                  = 0._wp
+         WRITE( numicb, '("calved by class = ",i6,20(",",i6))') (nbergs_calved_by_class(ik),ik=1,nclasses)
+         IF ( nspeeding_tickets > 0 ) WRITE( numicb, '("speeding tickets issued = ",i6)') nspeeding_tickets
+
+         nbergs_start              = nbergs_end
+         stored_start              = stored_end
+         nbergs_melted             = 0
+         nbergs_calved             = 0
+         nbergs_calved_by_class(:) = 0
+         nspeeding_tickets         = 0
+         stored_heat_start         = stored_heat_end
+         floating_heat_start       = floating_heat_end
+         floating_mass_start       = floating_mass_end
+         bergs_mass_start          = bergs_mass_end
+         bits_mass_start           = bits_mass_end
+         calving_used_net          = 0._wp
+         calving_to_bergs_net      = 0._wp
+         heat_to_bergs_net         = 0._wp
+         heat_to_ocean_net         = 0._wp
+         calving_rcv_net           = 0._wp
+         calving_ret_net           = 0._wp
+         calving_src_net           = 0._wp
+         calving_out_net           = 0._wp
+         calving_src_heat_net      = 0._wp
+         calving_src_heat_used_net = 0._wp
+         calving_out_heat_net      = 0._wp
+         melt_net                  = 0._wp
+         berg_melt_net             = 0._wp
+         bits_melt_net             = 0._wp
+         bits_src_net              = 0._wp
       ENDIF
 
@@ -366,10 +366,10 @@
       IF( .NOT. ln_bergdia ) RETURN
       berg_melt    (:,:)   = 0._wp
-      melt_buoy    (:,:)   = 0._wp
-      melt_eros    (:,:)   = 0._wp
-      melt_conv    (:,:)   = 0._wp
-      bits_src    (:,:)   = 0._wp
-      bits_melt   (:,:)   = 0._wp
-      bits_mass   (:,:)   = 0._wp
+      buoy_melt    (:,:)   = 0._wp
+      eros_melt    (:,:)   = 0._wp
+      conv_melt    (:,:)   = 0._wp
+      bits_src     (:,:)   = 0._wp
+      bits_melt    (:,:)   = 0._wp
+      bits_mass    (:,:)   = 0._wp
       berg_mass    (:,:)   = 0._wp
       virtual_area (:,:)   = 0._wp
@@ -384,11 +384,11 @@
       IF( .NOT. ln_bergdia ) RETURN
       CALL iom_put( "berg_melt"         , berg_melt    (:,:)   )  ! 'Melt rate of icebergs'                    , 'kg/m2/s'
-      CALL iom_put( "berg_melt_buoy"    , melt_buoy    (:,:)   )  ! 'Buoyancy component of iceberg melt rate'  , 'kg/m2/s'
-      CALL iom_put( "berg_melt_eros"    , melt_eros    (:,:)   )  ! 'Erosion component of iceberg melt rate'   , 'kg/m2/s'
-      CALL iom_put( "berg_melt_conv"    , melt_conv    (:,:)   )  ! 'Convective component of iceberg melt rate', 'kg/m2/s'
+      CALL iom_put( "berg_buoy_melt"    , buoy_melt    (:,:)   )  ! 'Buoyancy component of iceberg melt rate'  , 'kg/m2/s'
+      CALL iom_put( "berg_eros_melt"    , eros_melt    (:,:)   )  ! 'Erosion component of iceberg melt rate'   , 'kg/m2/s'
+      CALL iom_put( "berg_conv_melt"    , conv_melt    (:,:)   )  ! 'Convective component of iceberg melt rate', 'kg/m2/s'
       CALL iom_put( "berg_virtual_area" , virtual_area (:,:)   )  ! 'Virtual coverage by icebergs'             , 'm2'
-      CALL iom_put( "bits_src"         , bits_src    (:,:)   )  ! 'Mass source of bergy bits'                , 'kg/m2/s'
-      CALL iom_put( "bits_melt"        , bits_melt   (:,:)   )  ! 'Melt rate of bergy bits'                  , 'kg/m2/s'
-      CALL iom_put( "bits_mass"        , bits_mass   (:,:)   )  ! 'Bergy bit density field'                  , 'kg/m2'
+      CALL iom_put( "bits_src"         , bits_src    (:,:)   )    ! 'Mass source of bergy bits'                , 'kg/m2/s'
+      CALL iom_put( "bits_melt"        , bits_melt   (:,:)   )    ! 'Melt rate of bergy bits'                  , 'kg/m2/s'
+      CALL iom_put( "bits_mass"        , bits_mass   (:,:)   )    ! 'Bergy bit density field'                  , 'kg/m2'
       CALL iom_put( "berg_mass"         , berg_mass    (:,:)   )  ! 'Iceberg density field'                    , 'kg/m2'
       CALL iom_put( "berg_real_calving" , real_calving (:,:,:) )  ! 'Calving into iceberg class'               , 'kg/s'
@@ -398,15 +398,15 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE calving_budget( ji, jj, jn, calved, heated )
-      INTEGER   :: ji, jj, jn
-      REAL(wp)  :: calved
-      REAL(wp)  :: heated
-
-      IF( .NOT. ln_bergdia ) RETURN
-      real_calving(ji,jj,jn)     = real_calving(ji,jj,jn) + calved / berg_dt
+   SUBROUTINE calving_budget( ki, kj, kn, pcalved, pheated )
+      INTEGER,  INTENT(in)  ::   ki, kj, kn
+      REAL(wp), INTENT(in)  ::   pcalved
+      REAL(wp), INTENT(in)  ::   pheated
+
+      IF( .NOT. ln_bergdia ) RETURN
+      real_calving(ki,kj,kn)     = real_calving(ki,kj,kn) + pcalved / berg_dt
       nbergs_calved              = nbergs_calved              + 1
-      nbergs_calved_by_class(jn) = nbergs_calved_by_class(jn) + 1
-      net_calving_to_bergs       = net_calving_to_bergs + calved
-      net_heat_to_bergs          = net_heat_to_bergs    + heated
+      nbergs_calved_by_class(kn) = nbergs_calved_by_class(kn) + 1
+      calving_to_bergs_net       = calving_to_bergs_net + pcalved
+      heat_to_bergs_net          = heat_to_bergs_net    + pheated
 
    END SUBROUTINE calving_budget
@@ -414,8 +414,8 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE incoming_budget( kt,  calving_used, heat_used )
+   SUBROUTINE incoming_budget( kt,  pcalving_used, pheat_used )
       INTEGER ,                 INTENT(in)  :: kt
-      REAL(wp),                 INTENT(in)  :: calving_used
-      REAL(wp), DIMENSION(:,:), INTENT(in)  :: heat_used
+      REAL(wp),                 INTENT(in)  :: pcalving_used
+      REAL(wp), DIMENSION(:,:), INTENT(in)  :: pheat_used
 
       IF( .NOT. ln_bergdia ) RETURN
@@ -431,10 +431,10 @@
       ENDIF
 
-      net_calving_received = net_calving_received + SUM( berg_grid%calving(:,:) ) * berg_dt
-      net_incoming_calving = net_calving_received
-      net_incoming_calving_heat = net_incoming_calving_heat +  &
+      calving_rcv_net = calving_rcv_net + SUM( berg_grid%calving(:,:) ) * berg_dt
+      calving_src_net = calving_rcv_net
+      calving_src_heat_net = calving_src_heat_net +  &
                                   SUM( berg_grid%calving_hflx(:,:) * e1e2t(:,:) ) * berg_dt   ! Units of J
-      net_calving_used = net_calving_used + calving_used * berg_dt
-      net_incoming_calving_heat_used = net_incoming_calving_heat_used + SUM( heat_used(:,:) )
+      calving_used_net = calving_used_net + pcalving_used * berg_dt
+      calving_src_heat_used_net = calving_src_heat_used_net + SUM( pheat_used(:,:) )
 
    END SUBROUTINE incoming_budget
@@ -442,12 +442,13 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE size_budget(ji, jj, Wn, Ln, Abits, mass_scale, Mnew, nMbits, z1_e1e2)
-      INTEGER             :: ji, jj
-      REAL(wp)            :: Wn, Ln, Abits, mass_scale, Mnew, nMbits, z1_e1e2
-
-      IF( .NOT. ln_bergdia ) RETURN
-      virtual_area(ji,jj) = virtual_area(ji,jj)+(Wn*Ln+Abits)*mass_scale        ! m^2
-      berg_mass(ji,jj)    = berg_mass(ji,jj) + Mnew * z1_e1e2                   ! kg/m2
-      bits_mass(ji,jj)   = bits_mass(ji,jj) + nMbits * z1_e1e2                ! kg/m2
+   SUBROUTINE size_budget(ki, kj, pWn, pLn, pAbits,   &
+      &                   pmass_scale, pMnew, pnMbits, pz1_e1e2)
+      INTEGER,  INTENT(in)           :: ki, kj
+      REAL(wp), INTENT(in)           :: pWn, pLn, pAbits, pmass_scale, pMnew, pnMbits, pz1_e1e2
+
+      IF( .NOT. ln_bergdia ) RETURN
+      virtual_area(ki,kj) = virtual_area(ki,kj) + ( pWn * pLn + pAbits ) * pmass_scale      ! m^2
+      berg_mass(ki,kj)    = berg_mass(ki,kj) + pMnew * pz1_e1e2                             ! kg/m2
+      bits_mass(ki,kj)    = bits_mass(ki,kj) + pnMbits * pz1_e1e2                           ! kg/m2
 
    END SUBROUTINE size_budget
@@ -464,44 +465,46 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE melt_budget(ji, jj, mnew, heat, mass_scale, dM, dMbitsE, dMbitsM, dMb, dMe, dMv, z1_dt_e1e2)
-
-      INTEGER               ::  ji, jj
-      REAL(wp), INTENT(in)  ::  mnew, heat, mass_scale
-      REAL(wp), INTENT(in)  ::  dM, dMbitsE, dMbitsM, dMb, dMe, dMv, z1_dt_e1e2
-
-      IF( .NOT. ln_bergdia ) RETURN
-
-      berg_melt    (ji,jj) = berg_melt    (ji,jj) + dM      * z1_dt_e1e2   ! kg/m2/s
-      bits_src    (ji,jj) = bits_src    (ji,jj) + dMbitsE * z1_dt_e1e2   ! mass flux into bergy bitskg/m2/s
-      bits_melt   (ji,jj) = bits_melt   (ji,jj) + dMbitsM * z1_dt_e1e2   ! melt rate of bergy bits kg/m2/s
-      melt_buoy    (ji,jj) = melt_buoy    (ji,jj) + dMb     * z1_dt_e1e2   ! kg/m2/s
-      melt_eros    (ji,jj) = melt_eros    (ji,jj) + dMe     * z1_dt_e1e2   ! erosion rate kg/m2/s
-      melt_conv    (ji,jj) = melt_conv    (ji,jj) + dMv     * z1_dt_e1e2   ! kg/m2/s
-      net_heat_to_ocean = net_heat_to_ocean + heat * mass_scale * berg_dt         ! J
+   SUBROUTINE melt_budget(ki, kj, pmnew, pheat, pmass_scale,   &
+      &                   pdM, pdMbitsE, pdMbitsM, pdMb, pdMe,   &
+      &                   pdMv, pz1_dt_e1e2)
+
+      INTEGER               ::  ki, kj
+      REAL(wp), INTENT(in)  ::  pmnew, pheat, pmass_scale
+      REAL(wp), INTENT(in)  ::  pdM, pdMbitsE, pdMbitsM, pdMb, pdMe, pdMv, pz1_dt_e1e2
+
+      IF( .NOT. ln_bergdia ) RETURN
+
+      berg_melt (ki,kj) = berg_melt (ki,kj) + pdM      * pz1_dt_e1e2   ! kg/m2/s
+      bits_src  (ki,kj) = bits_src  (ki,kj) + pdMbitsE * pz1_dt_e1e2   ! mass flux into bergy bitskg/m2/s
+      bits_melt (ki,kj) = bits_melt (ki,kj) + pdMbitsM * pz1_dt_e1e2   ! melt rate of bergy bits kg/m2/s
+      buoy_melt (ki,kj) = buoy_melt (ki,kj) + pdMb     * pz1_dt_e1e2   ! kg/m2/s
+      eros_melt (ki,kj) = eros_melt (ki,kj) + pdMe     * pz1_dt_e1e2   ! erosion rate kg/m2/s
+      conv_melt (ki,kj) = conv_melt (ki,kj) + pdMv     * pz1_dt_e1e2   ! kg/m2/s
+      heat_to_ocean_net = heat_to_ocean_net + pheat * pmass_scale * berg_dt         ! J
       IF( mnew <= 0._wp ) nbergs_melted = nbergs_melted + 1                        ! Delete the berg if completely melted
 
-
    END SUBROUTINE melt_budget
 
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE report_state(budgetstr,budgetunits,startstr,startval,endstr,endval,delstr,nbergs)
+   SUBROUTINE report_state( cd_budgetstr, cd_budgetunits, cd_startstr, pstartval, cd_endstr,   &
+      &                     pendval, cd_delstr, kbergs )
       ! Arguments
-      CHARACTER*(*), INTENT(in)           :: budgetstr, budgetunits, startstr, endstr, delstr
-      REAL(wp),      INTENT(in)           :: startval, endval
-      INTEGER,       INTENT(in), OPTIONAL :: nbergs
-
-      if (present(nbergs)) then
-        WRITE(numicb,100) budgetstr//' state:', &
-                            startstr//' start',startval,budgetunits, &
-                            endstr//' end',endval,budgetunits, &
-                            'Delta '//delstr,endval-startval,budgetunits, &
-                            '# of bergs',nbergs
-      else
-        WRITE(numicb,100) budgetstr//' state:', &
-                            startstr//' start',startval,budgetunits, &
-                            endstr//' end',endval,budgetunits, &
-                            delstr//'Delta',endval-startval,budgetunits
-      endif
+      CHARACTER*(*), INTENT(in)           :: cd_budgetstr, cd_budgetunits, cd_startstr, cd_endstr, cd_delstr
+      REAL(wp),      INTENT(in)           :: pstartval, pendval
+      INTEGER,       INTENT(in), OPTIONAL :: kbergs
+
+      IF ( PRESENT(kbergs) ) THEN
+         WRITE(numicb,100) cd_budgetstr // ' state:',                                    &
+                           cd_startstr  // ' start',  pstartval,         cd_budgetunits, &
+                           cd_endstr    // ' end',    pendval,           cd_budgetunits, &
+                           'Delta '     // cd_delstr, pendval-pstartval, cd_budgetunits, &
+                           '# of bergs', kbergs
+      ELSE
+         WRITE(numicb,100) cd_budgetstr // ' state:',                                   &
+                           cd_startstr  // ' start', pstartval,         cd_budgetunits, &
+                           cd_endstr    // ' end',   pendval,           cd_budgetunits, &
+                           cd_delstr    // 'Delta',  pendval-pstartval, cd_budgetunits
+      ENDIF
       100 FORMAT(a19,3(a18,"=",es14.7,x,a2,:,","),a12,i8)
    END SUBROUTINE report_state
